# entity_removed.py by TheCheeTaH!
# For entites to remove, check: ../addons/eventscripts/entity_remover/entities.txt
import es

CFGPath = str(es.getAddonPath("entity_remover")).replace("\\addons", "\\cfg").replace("/addons", "/cfg")

def load():
    round_start(None)
    SetUpVersion()

def es_map_start(ev):
    SetUpVersion()

def SetUpVersion():
    PubVar = es.ServerVar("er_version","1.0CheeTaH-Public","Script Version")
    PubVar.set("1.0CheeTaH-Public")
    PubVar.makepublic()

def round_start(ev):
    RemoverDict_Index = {}
    RemoverDict_ClassName = {}
    RemoverDict_TargetName = {}
    
    File = open(CFGPath + '/entities.txt')
    for CurrentLine in File.readlines():
        if str(CurrentLine).lower().startswith('|remove|'):
            SL = CurrentLine.split('|')
            if len(SL) == 5:
                SL2Low = str(SL[2]).lower()
                
                if SL2Low == "classname":
                    RemoverDict_ClassName[SL[3]] = None
                    
                elif SL2Low == "index":
                    RemoverDict_Index[SL[3]] = None
                    
                elif SL2Low == "targetname":
                    RemoverDict_TargetName[SL[3]] = None
                    
                    
    for RemoveThis in RemoverDict_Index:
        es.remove(RemoveThis)
        es.msg("removed index %s" %(RemoveThis))
    
    for RemoveThis in es.createentitylist():
        if str(es.entitygetvalue(RemoveThis, "classname")) in RemoverDict_ClassName:
            es.remove(RemoveThis)
            es.msg("removed classname %s" %(RemoveThis))
    
    for RemoveThis in es.createentitylist():
        if str(es.entitygetvalue(RemoveThis, 'targetname')) in RemoverDict_TargetName:
            es.remove(RemoveThis)
            es.msg("removed targetname %s" %(RemoveThis))